#include "stable.h"
#include "cmwparamhalfkerf.h"
#include "cmwparamhalfkerfside.h"
#include "cmwparamlaserkerfside.h"

CMWParamHalfKerf::CMWParamHalfKerf(QWidget *parent)
	: CMWidget(parent)
{
	ui = new Ui::CMWParamHalfKerf();
	ui->setupUi(this);

	mchildwidgets[0]=new CMWParamLaserKerfSide(this);
	mchildwidgets[1]=new CMWParamHalfKerfSide(this);
	ui->verticalLayout->addWidget(mchildwidgets[0]);
	ui->verticalLayout_2->addWidget(mchildwidgets[1]);
}

CMWParamHalfKerf::~CMWParamHalfKerf()
{

}

void CMWParamHalfKerf::MFresh()
{
	CMWidget::MFresh();

	ui->label_2->setVisible(false);
	mchildwidgets[0]->setVisible(false);
}
